<template lang="pug">
BaseDialog(ref='dialog' @hidden='onHidden')
  template(v-slot:title='')
    .w-100.d-flex.justify-content-between.align-items-center
      h5.modal-title {{ title }}
      BaseAnimationBlock(v-if='isRunning' anim='fade')
        i.mx-2.fas.fa-cog.fa-spin
  .d-flex.justify-content-start.align-items-center
    i.mr-3.fas.fa-exclamation-triangle.fa-2x.text-warning(v-if='warning')
    .x-dialog-body(:style='{ opacity: isRunning ? "0.5" : "1" }')
      div(v-if='warning')
        p.m-1.pb-1(v-for='warn in warnings') {{ warn }}
        p.m-1(v-if='warning') Are you sure you want to perform this action?
      div(v-else)
        pre.m-1.h6(v-for='(out, outIdx) in output')
          span.x-output(v-if='out.type === "stdout" || out.type === "return"'
                        :key='outIdx')
            | {{ out.data }}
          span.x-error.text-danger(v-else-if='out.type === "stderr" || out.type === "error"'
                                  :key='outIdx')
            | {{ out.data }}
        pre.m-1.h6(v-for='(lnk, lnkIdx) in extLinks')
          | Open
          a.x-link.mx-2.text-primary(:href='lnk.url' target="_blank" :key='lnkIdx')
            | {{lnk.descr || 'external link'}} #[i.fas.fa-external-link-alt]
  template(v-slot:footer='{ resolve }')
    .d-flex.justify-content-end
      button#x-cancel-btn.mr-1.btn.btn-secondary(v-if='warning' @click='resolve(false)')
        | Cancel
      button#x-ok-btn.btn(@click='resolve(true)' :disabled='isRunning' :aria-disabled='isRunning'
                          :class='[ warning ? "btn-danger" : "btn-primary" ]')
        | {{ warning ? "Confirm" : "Ok" }}
</template>

<script>

export { default } from './ActionDialog.vue.js';

</script>

<style>
</style>
